Bug 106831 - kernel-2.4.20-20.9 keeps crashing (Oops)
kernel-2.4.20-20.9 keeps crashing (Oops)
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-11 04:04 EDT by Rene Kapeller
Modified: 2007-04-18 12:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-15 11:52:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rene Kapeller 2003-10-11 04:04:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686) Gecko/20030807 Galeon/1.3.5

Description of problem:
After a few days of continues running, my system repeatedly crashed (kernel
trace) in the past on the original Redhat-9.0 kernel. After upgrading to
2.4.20-18.7 the system run 100% stable (uptime > 100days). A few weeks ago I
upgraded to 2.4.20-20.9 and my system starts crashing (kernel Oops) again after
a week or so. ASUS MB A7S333 and 2 IDE disks (raid 1 & lvm).

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. let the system run for a week
2.
3.
    

Actual Results:  kernel died (Oops)

Expected Results:  Continue life

Additional info:

Oct 11 04:03:20 corvatsch kernel: Unable to handle kernel NULL pointer
dereference at virtual address 00000028
Oct 11 04:03:20 corvatsch kernel:  printing eip:
Oct 11 04:03:20 corvatsch kernel: d0882d39
Oct 11 04:03:20 corvatsch kernel: *pde = 00000000
Oct 11 04:03:20 corvatsch kernel: Oops: 0000
Oct 11 04:03:20 corvatsch kernel: parport_pc lp parport nfsd lockd sunrpc
iptable_filter ip_tables autofs sundance mii sr_mod cdrom st loop keybdev
mousedev hid input usb-ohci usbcore ext3 jbd
Oct 11 04:03:20 corvatsch kernel: CPU:    0
Oct 11 04:03:20 corvatsch kernel: EIP:    0060:[<d0882d39>]    Not tainted
Oct 11 04:03:20 corvatsch kernel: EFLAGS: 00010217
Oct 11 04:03:20 corvatsch kernel:
Oct 11 04:03:20 corvatsch kernel: EIP is at
journal_try_to_free_buffers_Rfac97b04 [jbd] 0x29 (2.4.20-20.9)
Oct 11 04:03:20 corvatsch kernel: eax: 00000000   ebx: 00000000   ecx: c120f678
  edx: cd56774c
Oct 11 04:03:20 corvatsch kernel: esi: cd567734   edi: 00000000   ebp: 00000000
  esp: cff5bee4
Oct 11 04:03:20 corvatsch kernel: ds: 0068   es: 0068   ss: 0068
Oct 11 04:03:20 corvatsch kernel: Process kswapd (pid: 5, stackpage=cff5b000)
Oct 11 04:03:20 corvatsch kernel: Stack: cd567734 cff5bef8 00000296 00000282
cd56737c 00000001 c120f678 000001d0
Oct 11 04:03:20 corvatsch kernel:        000001d0 00000001 d089447d c1ac6680
c120f678 000001d0 c0147382 c120f678
Oct 11 04:03:20 corvatsch kernel:        000001d0 c120f694 c120f678 c013a080
c120f678 000001d0 00000001 000000c1
Oct 11 04:03:20 corvatsch kernel: Call Trace:   [<d089447d>] ext3_releasepage
[ext3] 0x2d (0xcff5bf0c))
Oct 11 04:03:20 corvatsch kernel: [<c0147382>] try_to_release_page [kernel] 0x52
(0xcff5bf1c))
Oct 11 04:03:20 corvatsch kernel: [<c013a080>] launder_page [kernel] 0x550
(0xcff5bf30))
Oct 11 04:03:20 corvatsch kernel: [<c013ae9c>] rebalance_dirty_zone [kernel]
0x5c (0xcff5bf50))
Oct 11 04:03:20 corvatsch kernel: [<c013af7c>] rebalance_inactive_zone [kernel]
0x9c (0xcff5bf70))
Oct 11 04:03:20 corvatsch kernel: [<c013afff>] rebalance_inactive [kernel] 0x3f
(0xcff5bf90))
Oct 11 04:03:20 corvatsch kernel: [<c013b141>] do_try_to_free_pages_kswapd
[kernel] 0x51 (0xcff5bfb4))Oct 11 04:03:20 corvatsch kernel: [<c013b3b3>] kswapd
[kernel] 0x83 (0xcff5bfd4))
Oct 11 04:03:20 corvatsch kernel: [<c013b330>] kswapd [kernel] 0x0 (0xcff5bfe4))
Oct 11 04:03:20 corvatsch kernel: [<c010727d>] kernel_thread_helper [kernel] 0x5
(0xcff5bff0))
Oct 11 04:03:20 corvatsch kernel:
Oct 11 04:03:20 corvatsch kernel:
Oct 11 04:03:20 corvatsch kernel: Code: 8b 5b 28 f6 40 19 04 75 26 39 f3 75 f1
f7 44 24 34 50 00 00
Comment 1 Rene Kapeller 2003-10-15 11:52:39 EDT
Sorry, NO kernel problem. The cause was a bad memory bank. 

Note You need to log in before you can comment on or make changes to this bug.